216Views9Replies

Author Options:

Help programming attiny85v with arduino mega? Answered

Alright so I followed the high-low tech tutorial to the letter, however I can't program the attiny85v. I currently don't have a filter capacitor (looking for one to use in my board box), however I've read that it isn't necessary. So anyways, I hit upload ad this is what I get.

avrdude: stk500_getsync(): not in sync: resp=0x00

I also tried jumping GND and reset with a wire and I get the same thing, so what's going on?

Discussions

0
None
quatch

5 years ago

A side note, that isn't a filter capacitor, that is to disable the autoreset sent by the IDE (FTDI RTS line), through a capacitive coupler that turns it into a quick drop to 0v.

Thats why it is 10uF instead of 0.1, it needs to smooth out the drop while the coupling 0.1uF cap charges.

0
None
XOIIOquatch

Answer 5 years ago

Ahh, ok

if only the darn thing worked now lol.

0
None
quatchXOIIO

Answer 5 years ago

Getting bootloaders on chips has to be the most frustrating part of this whole hobby.

0
None
steveastrouk

5 years ago

Hard to tell. Beg, steal or borrow an oscilloscope.
It would help if you cited the tutorial to which you refer.

0
None
XOIIOsteveastrouk

Answer 5 years ago

OK couple things, I found a filter cap, I get a new error.

avrdude: please define PAGEL and BS2 signals in the configuration file for part ATtiny85
avrdude: stk500_program_enable(): protocol error, expect=0x14, resp=0x50
avrdude: initialization failed, rc=-1
Double check connections and try again, or use -F to override
this check.

avrdude: stk500_disable(): protocol error, expect=0x14, resp=0x51

I've followed instructions from both these sources

https://www.instructables.com/id/Program-an-ATtiny-with-Arduino/?ALLSTEPS

http://hlt.media.mit.edu/?p=1706

0
None
steveastroukXOIIO

Answer 5 years ago


"avrdude: please define PAGEL and BS2 signals in the configuration file for part ATtiny85"

and have you ?

0
None
XOIIOsteveastrouk

Answer 5 years ago

Nope, I haven't seen that mentioned anywhere.

How exactly would I configure them?

0
None
steveastroukXOIIO

Answer 5 years ago

Which version of Arduino are you using ?

0
None
XOIIOsteveastrouk

Answer 5 years ago

Hmm I guess it didnt post last time.

Arduino mega 2650, software 1.0.3